Package uk.ac.starlink.vo

## Enum SiaVersion

- java.lang.Object
- - java.lang.Enum<SiaVersion>
  - - uk.ac.starlink.vo.SiaVersion

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SiaVersion>`

      public enum SiaVersion
      extends java.lang.Enum<SiaVersion>

  Version of the Simple Image Access protocol.
  Since:
    12 Mar 2020
  Author:
    Mark Taylor
  See Also:
    Simple Image Access Protocol

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `V10` | SIA version 1.0.
    `V20` | SIA version 2.0.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract uk.ac.starlink.table.StarTable` | `executeQuery​(java.lang.String serviceUrl, double ra, double dec, double size, SiaFormatOption format, uk.ac.starlink.table.StarTableFactory factory, uk.ac.starlink.util.ContentCoding coding)` | Performs an SIA positional query.
    `static SiaVersion` | `forInterface​(RegCapabilityInterface intf)` | Returns the version object appropriate for use with a given capability interface.
    `java.lang.String` | `getDocumentUrl()` | Returns the URL of the standards document defining this version.
    `int` | `getMajorVersion()` | Returns the major version number.
    `java.lang.String` | `getStandardId()` | Returns the StandardsRegExt identifier associated with this version of the SIA standard.
    `java.lang.String` | `toString()` |
    `boolean` | `usesUcd1()` | Returns true if query responses use the UCD1 standard, false if they use the UCD1+ standard.
    `static SiaVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SiaVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V10

          public static final SiaVersion V10

      SIA version 1.0.

    - #### V20

          public static final SiaVersion V20

      SIA version 2.0.

  - ### Method Detail

    - #### values

          public static SiaVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SiaVersion c : SiaVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SiaVersion valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMajorVersion

          public int getMajorVersion()

      Returns the major version number.
      Returns:
        major version number

    - #### getDocumentUrl

          public java.lang.String getDocumentUrl()

      Returns the URL of the standards document defining this version.
      Returns:
        document URL

    - #### getStandardId

          public java.lang.String getStandardId()

      Returns the StandardsRegExt identifier associated with this version of the SIA standard.
      Returns:
        standardId

    - #### usesUcd1

          public boolean usesUcd1()

      Returns true if query responses use the UCD1 standard, false if they use the UCD1+ standard.
      Returns:
        true for UCD1, false for UCD1+

    - #### executeQuery

          public abstract uk.ac.starlink.table.StarTable executeQuery​(java.lang.String serviceUrl,
                                                                      double ra,
                                                                      double dec,
                                                                      double size,
                                                                      SiaFormatOption format,
                                                                      uk.ac.starlink.table.StarTableFactory factory,
                                                                      uk.ac.starlink.util.ContentCoding coding)
                                                               throws java.io.IOException

      Performs an SIA positional query. The exact geometry of the query is not defined here, but the `size` parameter defines an angular extent such as the width of a rectangular region or a diameter (not radius) of a cone.
      Parameters:
        `serviceUrl` - base URL for SIA service query resource
        `ra` - central right ascension position in degrees
        `dec` - central declination position in degrees
        `size` - extent of query in degrees
        `format` - required format for query result records returned
        `factory` - table factory
        `coding` - content coding for communications
      Returns:
        table giving query result
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SiaVersion>`

    - #### forInterface

          public static SiaVersion forInterface​(RegCapabilityInterface intf)

      Returns the version object appropriate for use with a given capability interface.
      Parameters:
        `intf` - interface
      Returns:
        SIA version used by interface; not null, a best guess is used if necessary